#>Startup stuff
gamerule doWeatherCycle false
execute unless entity @e[tag=weathersetup] run function atmospheric:weather/destrution
execute unless entity @e[tag=weathersetup] run function atmospheric:weather/windspeed
execute unless entity @e[tag=weathersetup] run function atmospheric:weather/winddirection
execute unless entity @e[tag=weathersetup] run function atmospheric:weather/pressure
execute unless entity @e[tag=weathersetup] run function atmospheric:weather/forming
execute unless entity @e[tag=weathersetup] run function atmospheric:treegrowth
execute unless entity @e[tag=weathersetup] run execute at @a run summon minecraft:marker ~ ~ ~ {Tags:["weathersetup"]}
execute unless entity @e[tag=hurricanesounds] run function atmospheric:weather/sounds/hurricanewinds
execute unless entity @e[tag=rainsounds] run function atmospheric:weather/sounds/rain
execute unless entity @e[tag=strongwindsounds] run function atmospheric:weather/sounds/strongwinds
execute unless entity @e[tag=sirensounds] run function atmospheric:weather/sounds/siren
execute unless entity @e[tag=firesounds] run function atmospheric:weather/sounds/fire
execute unless entity @e[tag=beaconsounds] run function atmospheric:weather/sounds/beacon
#>stuff
execute if score wind weather matches ..-1 run scoreboard players set wind weather 0
execute if score wind weather matches 51.. run scoreboard players set wind weather 50
execute if score press weather matches 200.. run scoreboard players set press weather 199
execute if score press weather matches ..-200 run scoreboard players set press weather -199
execute if entity @e[name="Weather Radar"] if score out wd matches 1 if score press weather matches 0.. run title @a actionbar [{"text":"Atmospheric Pressure: ","color":"dark_aqua"},{"score":{"objective":"weather","name": "press"},"color": "blue"},{"text": "(High)","color": "blue"},{"text": " ,","color": "white"},{"text": "Wind Speed: ","color":"gray"},{"score":{"objective": "weather","name":"wind"},"color":"yellow"},{"text": "(Northern Winds)","color":"yellow"}]
execute if entity @e[name="Weather Radar"] if score out wd matches 1 if score press weather matches ..0 run title @a actionbar [{"text":"Atmospheric Pressure: ","color":"dark_aqua"},{"score":{"objective":"weather","name": "press"},"color": "red"},{"text": "(Low)","color": "red"},{"text": " ,","color": "white"},{"text": "Wind Speed: ","color":"gray"},{"score":{"objective": "weather","name":"wind"},"color":"yellow"},{"text": "(Northern Winds)","color":"yellow"}]
execute if entity @e[name="Weather Radar"] if score out wd matches 2 if score press weather matches 0.. run title @a actionbar [{"text":"Atmospheric Pressure: ","color":"dark_aqua"},{"score":{"objective":"weather","name": "press"},"color": "blue"},{"text": "(High)","color": "blue"},{"text": " ,","color": "white"},{"text": "Wind Speed: ","color":"gray"},{"score":{"objective": "weather","name":"wind"},"color":"yellow"},{"text": "(Southern Winds)","color":"yellow"}]
execute if entity @e[name="Weather Radar"] if score out wd matches 2 if score press weather matches ..0 run title @a actionbar [{"text":"Atmospheric Pressure: ","color":"dark_aqua"},{"score":{"objective":"weather","name": "press"},"color": "red"},{"text": "(Low)","color": "red"},{"text": " ,","color": "white"},{"text": "Wind Speed: ","color":"gray"},{"score":{"objective": "weather","name":"wind"},"color":"yellow"},{"text": "(Southern Winds)","color":"yellow"}]
execute if entity @e[name="Weather Radar"] if score out wd matches 3 if score press weather matches 0.. run title @a actionbar [{"text":"Atmospheric Pressure: ","color":"dark_aqua"},{"score":{"objective":"weather","name": "press"},"color": "blue"},{"text": "(High)","color": "blue"},{"text": " ,","color": "white"},{"text": "Wind Speed: ","color":"gray"},{"score":{"objective": "weather","name":"wind"},"color":"yellow"},{"text": "(Eastern Winds)","color":"yellow"}]
execute if entity @e[name="Weather Radar"] if score out wd matches 3 if score press weather matches ..0 run title @a actionbar [{"text":"Atmospheric Pressure: ","color":"dark_aqua"},{"score":{"objective":"weather","name": "press"},"color": "red"},{"text": "(Low)","color": "red"},{"text": " ,","color": "white"},{"text": "Wind Speed: ","color":"gray"},{"score":{"objective": "weather","name":"wind"},"color":"yellow"},{"text": "(Eastern Winds)","color":"yellow"}]
execute if entity @e[name="Weather Radar"] if score out wd matches 4 if score press weather matches 0.. run title @a actionbar [{"text":"Atmospheric Pressure: ","color":"dark_aqua"},{"score":{"objective":"weather","name": "press"},"color": "blue"},{"text": "(High)","color": "blue"},{"text": " ,","color": "white"},{"text": "Wind Speed: ","color":"gray"},{"score":{"objective": "weather","name":"wind"},"color":"yellow"},{"text": "(Western Winds)","color":"yellow"}]
execute if entity @e[name="Weather Radar"] if score out wd matches 4 if score press weather matches ..0 run title @a actionbar [{"text":"Atmospheric Pressure: ","color":"dark_aqua"},{"score":{"objective":"weather","name": "press"},"color": "red"},{"text": "(Low)","color": "red"},{"text": " ,","color": "white"},{"text": "Wind Speed: ","color":"gray"},{"score":{"objective": "weather","name":"wind"},"color":"yellow"},{"text": "(Western Winds)","color":"yellow"}]
#>Winds
execute as @e run function atmospheric:weather/abilities/wind
#wind
#>Tempature stuff
execute as @e at @s if predicate atmospheric:climatecontroldetect run tag @s add temp_immune
execute as @e at @s unless predicate atmospheric:climatecontroldetect run tag @s remove temp_immune
#>gamerules
scoreboard objectives add defaultgamerules dummy
scoreboard players add plugedin defaultgamerules 0
scoreboard objectives add weathergamerules trigger
scoreboard objectives add gamerules dummy
execute unless score plugedin defaultgamerules matches 1 run scoreboard players set dostormparticles gamerules 1
execute unless score plugedin defaultgamerules matches 1 run scoreboard players set dostormgriefing gamerules 1
execute unless score plugedin defaultgamerules matches 1 run scoreboard players set broadcaststormformation gamerules 0
execute unless score plugedin defaultgamerules matches 1 run scoreboard players set dostormforming gamerules 1
execute unless score plugedin defaultgamerules matches 1 run scoreboard players set stormspawnrate gamerules 8
execute unless score plugedin defaultgamerules matches 1 run scoreboard players set plugedin defaultgamerules 1
#menu
scoreboard players enable @a weathergamerules
execute as @a[scores={weathergamerules=1..}] run function atmospheric:gamerules
scoreboard players set @a weathergamerules 0
#dostormspawning
execute if score dostormforming gamerules matches 1 unless entity @e[tag=dostormformingm] run schedule function atmospheric:weather/forming 15s
execute if score dostormforming gamerules matches 1 unless entity @e[tag=dostormformingm] run summon minecraft:marker ~ ~ ~ {Tags:["dostormformingm"]}
execute if score dostormforming gamerules matches 0 run kill @e[tag=dostormformingm]
execute if score dostormforming gamerules matches 0 run schedule clear atmospheric:weather/forming