# HOW TO USE:
# 1. Run "/scoreboard players set min destruction <minimum number>" to set a minimum number
# 2. Run "/scoreboard players set max destruction <maximum number>" to set a maximum number
# 3. Run "/function <your_pack_name>:destruction" to generate the number
# 4. Your ranom number between the given minimum and maximum is now stored as "out" in "destruction"
# (Get it with "/scoreboard players operation <PLAYER> <SCOREBOARD> = out destruction")
#
# *You don't need to set the minimum and maximum every time, it'll use the last used
# or the base which is min 0, max 100


# Activate the pack
execute unless entity @e[tag=destructionactive] run scoreboard objectives add destruction dummy
execute unless entity @e[tag=destructionactive] run scoreboard players set min destruction 0
execute unless entity @e[tag=destructionactive] run scoreboard players set max destruction 121
execute unless entity @e[tag=destructionactive] run summon area_effect_cloud ~ ~ ~ {Tags:["destructionbase"],Duration:1}
execute unless entity @e[tag=destructionactive] run execute store result score num destruction run data get entity @e[type=area_effect_cloud,limit=1,tag=destructionbase] UUID[0]
execute unless entity @e[tag=destructionactive] run scoreboard players set a destruction 48141429
execute unless entity @e[tag=destructionactive] run scoreboard players set b destruction 4819982
execute unless entity @e[tag=destructionactive] run scoreboard players set m destruction 924866
execute unless entity @e[tag=destructionactive] run execute at @a run summon minecraft:marker ~ ~ ~ {Tags:["destructionactive"]}

# Prepare to use a minimum different from 0
scoreboard players operation trueMax destruction = max destruction
scoreboard players operation trueMax destruction -= min destruction
scoreboard players add trueMax destruction 1

# Modify output
scoreboard players operation num destruction *= a destruction
scoreboard players operation num destruction += b destruction
scoreboard players operation out destruction = num destruction
scoreboard players operation out destruction %= m destruction
scoreboard players operation out destruction %= trueMax destruction
scoreboard players operation out destruction += min destruction

# Uncomment (remove the "# ") next line to print output
# tellraw @a {"score":{"name":"out","objective":"destruction"}}

# This module was made by Natural_Power
# You may use it any way you want as long as these stay inside the module

schedule function atmospheric:weather/destrution 10t
#Tornado
execute if entity @e[name="Tornado",type=armor_stand] if score out destruction matches 1 as @e[name="Tornado",type=armor_stand] at @s positioned ^9 ^-62 ^ run summon lightning_bolt ~ ~-1 ~
execute if entity @e[name="Tornado",type=armor_stand] if score out destruction matches 2 as @e[name="Tornado",type=armor_stand] at @s positioned ^-9 ^-62 ^ run summon lightning_bolt ~ ~-1 ~
execute if entity @e[name="Tornado",type=armor_stand] if score out destruction matches 3 as @e[name="Tornado",type=armor_stand] at @s positioned ^ ^-62 ^9 run summon lightning_bolt ~ ~-1 ~
execute if entity @e[name="Tornado",type=armor_stand] if score out destruction matches 4 as @e[name="Tornado",type=armor_stand] at @s positioned ^ ^-62 ^-9 run summon lightning_bolt ~ ~-1 ~
execute if entity @e[name="Tornado",type=armor_stand] if score out destruction matches 4 as @e[name="Tornado",type=armor_stand] at @s positioned ^9 ^-62 ^ run function atmospheric:weather/hailstone
execute if entity @e[name="Tornado",type=armor_stand] if score out destruction matches 3 as @e[name="Tornado",type=armor_stand] at @s positioned ^-9 ^-62 ^ run function atmospheric:weather/hailstone
execute if entity @e[name="Tornado",type=armor_stand] if score out destruction matches 2 as @e[name="Tornado",type=armor_stand] at @s positioned ^ ^-62 ^9 run function atmospheric:weather/hailstone
execute if entity @e[name="Tornado",type=armor_stand] if score out destruction matches 1 as @e[name="Tornado",type=armor_stand] at @s positioned ^ ^-62 ^-9 run function atmospheric:weather/hailstone
execute unless score dostormgriefing gamerules matches 0 if entity @e[name="Tornado_base",type=husk] if score out destruction matches 5 as @e[name="Tornado_base",type=husk] at @s positioned ^3 ^ ^ run summon falling_block ~ ~15 ~ {BlockState:{Name:coal_ore}}
execute unless score dostormgriefing gamerules matches 0 if entity @e[name="Tornado_base",type=husk] if score out destruction matches 5 as @e[name="Tornado_base",type=husk] at @s positioned ^ ^ ^3 run summon falling_block ~ ~15 ~ {BlockState:{Name:dirt}}
execute unless score dostormgriefing gamerules matches 0 if entity @e[name="Tornado_base",type=husk] if score out destruction matches 5 as @e[name="Tornado_base",type=husk] at @s positioned ^-4 ^ ^-4 run summon falling_block ~ ~15 ~ {BlockState:{Name:oak_log}}
execute unless score dostormgriefing gamerules matches 0 if entity @e[name="Tornado_base",type=husk] if score out destruction matches 5 as @e[name="Tornado_base",type=husk] at @s positioned ^-3 ^ ^-3 run summon falling_block ~ ~15 ~ {BlockState:{Name:spruce_door}}
execute unless score dostormgriefing gamerules matches 0 if entity @e[name="Tornado_base",type=husk] if score out destruction matches 5 as @e[name="Tornado_base",type=husk] at @s positioned ^3 ^ ^4 run summon falling_block ~ ~15 ~ {BlockState:{Name:birch_log}}
execute unless score dostormgriefing gamerules matches 0 if entity @e[name="Tornado_base",type=husk] if score out destruction matches 5 as @e[name="Tornado_base",type=husk] at @s positioned ^-4 ^ ^-3 run summon falling_block ~ ~15 ~ {BlockState:{Name:birch_fence}}
execute unless score dostormgriefing gamerules matches 0 if entity @e[name="Tornado_base",type=husk] if score out destruction matches 6 as @e[name="Tornado_base",type=husk] at @s positioned ^4 ^ ^ run summon falling_block ~ ~15 ~ {BlockState:{Name:coal_ore}}
execute unless score dostormgriefing gamerules matches 0 if entity @e[name="Tornado_base",type=husk] if score out destruction matches 6 as @e[name="Tornado_base",type=husk] at @s positioned ^ ^ ^4 run summon falling_block ~ ~15 ~ {BlockState:{Name:dirt}}
execute unless score dostormgriefing gamerules matches 0 if entity @e[name="Tornado_base",type=husk] if score out destruction matches 6 as @e[name="Tornado_base",type=husk] at @s positioned ^3 ^ ^4 run summon falling_block ~ ~15 ~ {BlockState:{Name:oak_log}}
execute unless score dostormgriefing gamerules matches 0 if entity @e[name="Tornado_base",type=husk] if score out destruction matches 6 as @e[name="Tornado_base",type=husk] at @s positioned ^-4 ^ ^-3 run summon falling_block ~ ~15 ~ {BlockState:{Name:spruce_door}}
execute unless score dostormgriefing gamerules matches 0 if entity @e[name="Tornado_base",type=husk] if score out destruction matches 6 as @e[name="Tornado_base",type=husk] at @s positioned ^4 ^ ^ run summon falling_block ~ ~15 ~ {BlockState:{Name:birch_log}}
execute unless score dostormgriefing gamerules matches 0 if entity @e[name="Tornado_base",type=husk] if score out destruction matches 6 as @e[name="Tornado_base",type=husk] at @s positioned ^ ^ ^4 run summon falling_block ~ ~15 ~ {BlockState:{Name:birch_fence}}
#Hurricane
execute if entity @e[name="Hurricane",type=armor_stand] if score out destruction matches 7 as @e[name="Hurricane",type=armor_stand] at @s positioned ^15 ^-32 ^ run summon lightning_bolt ~ ~-1 ~
execute if entity @e[name="Hurricane",type=armor_stand] if score out destruction matches 8 as @e[name="Hurricane",type=armor_stand] at @s positioned ^-15 ^-32 ^ run summon lightning_bolt ~ ~-1 ~
execute if entity @e[name="Hurricane",type=armor_stand] if score out destruction matches 9 as @e[name="Hurricane",type=armor_stand] at @s positioned ^ ^-32 ^15 run summon lightning_bolt ~ ~-1 ~
execute if entity @e[name="Hurricane",type=armor_stand] if score out destruction matches 10 as @e[name="Hurricane",type=armor_stand] at @s positioned ^ ^-32 ^-15 run summon lightning_bolt ~ ~-1 ~
execute if entity @e[name="Hurricane",type=armor_stand] if score out destruction matches 11 as @e[name="Hurricane",type=armor_stand] at @s positioned ^25 ^-32 ^ run summon lightning_bolt ~ ~-1 ~
execute if entity @e[name="Hurricane",type=armor_stand] if score out destruction matches 12 as @e[name="Hurricane",type=armor_stand] at @s positioned ^-25 ^-32 ^ run summon lightning_bolt ~ ~-1 ~
execute if entity @e[name="Hurricane",type=armor_stand] if score out destruction matches 13..15 as @e[name="Hurricane",type=armor_stand] at @s positioned ^ ^-32 ^25 run summon lightning_bolt ~ ~-1 ~
execute if entity @e[name="Hurricane",type=armor_stand] if score out destruction matches 14 as @e[name="Hurricane",type=armor_stand] at @s positioned ^ ^-32 ^-25 run summon lightning_bolt ~ ~-1 ~
execute if entity @e[name="Hurricane",type=armor_stand] if score out destruction matches 15 as @e[name="Hurricane",type=armor_stand] at @s positioned ^50 ^-32 ^ run summon lightning_bolt ~ ~-1 ~
execute if entity @e[name="Hurricane",type=armor_stand] if score out destruction matches 16 as @e[name="Hurricane",type=armor_stand] at @s positioned ^-50 ^-32 ^ run summon lightning_bolt ~ ~-1 ~
execute if entity @e[name="Hurricane",type=armor_stand] if score out destruction matches 17 as @e[name="Hurricane",type=armor_stand] at @s positioned ^ ^-32 ^50 run summon lightning_bolt ~ ~-1 ~
execute if entity @e[name="Hurricane",type=armor_stand] if score out destruction matches 18 as @e[name="Hurricane",type=armor_stand] at @s positioned ^ ^-32 ^-50 run summon lightning_bolt ~ ~-1 ~
execute if entity @e[name="Hurricane",type=armor_stand] if score out destruction matches 19..20 as @e[name="Hurricane",type=armor_stand] at @s positioned ^75 ^-32 ^ run summon lightning_bolt ~ ~-1 ~
execute if entity @e[name="Hurricane",type=armor_stand] if score out destruction matches 20 as @e[name="Hurricane",type=armor_stand] at @s positioned ^-75 ^-32 ^ run summon lightning_bolt ~ ~-1 ~
execute unless score dostormgriefing gamerules matches 0 if entity @e[name="Hurricane",type=armor_stand] if score out destruction matches 7 as @e[name="Hurricane",type=armor_stand] at @s positioned ^-15 ^ ^2 run function atmospheric:weather/hailstone
execute unless score dostormgriefing gamerules matches 0 if entity @e[name="Hurricane",type=armor_stand] if score out destruction matches 8 as @e[name="Hurricane",type=armor_stand] at @s positioned ^15 ^ ^1 run function atmospheric:weather/hailstone
execute unless score dostormgriefing gamerules matches 0 if entity @e[name="Hurricane",type=armor_stand] if score out destruction matches 9 as @e[name="Hurricane",type=armor_stand] at @s positioned ^1 ^ ^15 run function atmospheric:weather/hailstone
execute unless score dostormgriefing gamerules matches 0 if entity @e[name="Hurricane",type=armor_stand] if score out destruction matches 10 as @e[name="Hurricane",type=armor_stand] at @s positioned ^ ^ ^17 run function atmospheric:weather/hailstone
execute unless score dostormgriefing gamerules matches 0 if entity @e[name="Hurricane",type=armor_stand] if score out destruction matches 11 as @e[name="Hurricane",type=armor_stand] at @s positioned ^22 ^ ^5 run function atmospheric:weather/hailstone
execute unless score dostormgriefing gamerules matches 0 if entity @e[name="Hurricane",type=armor_stand] if score out destruction matches 12 as @e[name="Hurricane",type=armor_stand] at @s positioned ^-21 ^ ^ run function atmospheric:weather/hailstone
execute unless score dostormgriefing gamerules matches 0 if entity @e[name="Hurricane",type=armor_stand] if score out destruction matches 13..15 as @e[name="Hurricane",type=armor_stand] at @s positioned ^ ^ ^16 run function atmospheric:weather/hailstone
execute unless score dostormgriefing gamerules matches 0 if entity @e[name="Hurricane_base",type=vindicator] if score out destruction matches 21 as @e[name="Hurricane_base",type=vindicator] at @s positioned ^75 ^15 ^75 run summon falling_block ~ ~6 ~ {BlockState:{Name:water}}
execute unless score dostormgriefing gamerules matches 0 if entity @e[name="Hurricane_base",type=vindicator] if score out destruction matches 22 as @e[name="Hurricane_base",type=vindicator] at @s positioned ^75 ^15 ^50 run summon falling_block ~ ~6 ~ {BlockState:{Name:water}}
execute unless score dostormgriefing gamerules matches 0 if entity @e[name="Hurricane_base",type=vindicator] if score out destruction matches 23 as @e[name="Hurricane_base",type=vindicator] at @s positioned ^50 ^15 ^-50 run summon falling_block ~ ~6 ~ {BlockState:{Name:water}}
execute unless score dostormgriefing gamerules matches 0 if entity @e[name="Hurricane_base",type=vindicator] if score out destruction matches 24 as @e[name="Hurricane_base",type=vindicator] at @s positioned ^25 ^15 ^-50 run summon falling_block ~ ~6 ~ {BlockState:{Name:water}}
execute unless score dostormgriefing gamerules matches 0 if entity @e[name="Hurricane_base",type=vindicator] if score out destruction matches 25 as @e[name="Hurricane_base",type=vindicator] at @s positioned ^-25 ^15 ^25 run summon falling_block ~ ~6 ~ {BlockState:{Name:water}}
execute unless score dostormgriefing gamerules matches 0 if entity @e[name="Hurricane_base",type=vindicator] if score out destruction matches 26 as @e[name="Hurricane_base",type=vindicator] at @s positioned ^-15 ^15 ^25 run summon falling_block ~ ~6 ~ {BlockState:{Name:water}}
execute unless score dostormgriefing gamerules matches 0 if entity @e[name="Hurricane_base",type=vindicator] if score out destruction matches 27 as @e[name="Hurricane_base",type=vindicator] at @s positioned ^-15 ^15 ^-15 run summon falling_block ~ ~6 ~ {BlockState:{Name:water}}
execute unless score dostormgriefing gamerules matches 0 if entity @e[name="Hurricane_base",type=vindicator] if score out destruction matches 28 as @e[name="Hurricane_base",type=vindicator] at @s positioned ^-15 ^15 ^-50 run summon falling_block ~ ~6 ~ {BlockState:{Name:water}}
execute unless score dostormgriefing gamerules matches 0 if entity @e[name="Hurricane_base",type=vindicator] if score out destruction matches 29 as @e[name="Hurricane_base",type=vindicator] at @s positioned ^75 ^15 ^75 run function atmospheric:weather/blocks
execute unless score dostormgriefing gamerules matches 0 if entity @e[name="Hurricane_base",type=vindicator] if score out destruction matches 30 as @e[name="Hurricane_base",type=vindicator] at @s positioned ^75 ^15 ^-75 run function atmospheric:weather/blocks
execute unless score dostormgriefing gamerules matches 0 if entity @e[name="Hurricane_base",type=vindicator] if score out destruction matches 31 as @e[name="Hurricane_base",type=vindicator] at @s positioned ^-75 ^15 ^75 run function atmospheric:weather/blocks
execute unless score dostormgriefing gamerules matches 0 if entity @e[name="Hurricane_base",type=vindicator] if score out destruction matches 32 as @e[name="Hurricane_base",type=vindicator] at @s positioned ^-75 ^15 ^-75 run function atmospheric:weather/blocks
execute unless score dostormgriefing gamerules matches 0 if entity @e[name="Hurricane_base",type=vindicator] if score out destruction matches 33 as @e[name="Hurricane_base",type=vindicator] at @s positioned ^50 ^15 ^50 run function atmospheric:weather/blocks
execute unless score dostormgriefing gamerules matches 0 if entity @e[name="Hurricane_base",type=vindicator] if score out destruction matches 34 as @e[name="Hurricane_base",type=vindicator] at @s positioned ^50 ^15 ^-50 run function atmospheric:weather/blocks
execute unless score dostormgriefing gamerules matches 0 if entity @e[name="Hurricane_base",type=vindicator] if score out destruction matches 35 as @e[name="Hurricane_base",type=vindicator] at @s positioned ^-50 ^15 ^50 run function atmospheric:weather/blocks
execute unless score dostormgriefing gamerules matches 0 if entity @e[name="Hurricane_base",type=vindicator] if score out destruction matches 36 as @e[name="Hurricane_base",type=vindicator] at @s positioned ^-50 ^15 ^-50 run function atmospheric:weather/blocks
execute unless score dostormgriefing gamerules matches 0 if entity @e[name="Hurricane_base",type=vindicator] if score out destruction matches 37 as @e[name="Hurricane_base",type=vindicator] at @s positioned ^15 ^15 ^25 run function atmospheric:weather/blocks
execute unless score dostormgriefing gamerules matches 0 if entity @e[name="Hurricane_base",type=vindicator] if score out destruction matches 38 as @e[name="Hurricane_base",type=vindicator] at @s positioned ^-15 ^15 ^75 run function atmospheric:weather/blocks
execute unless score dostormgriefing gamerules matches 0 if entity @e[name="Hurricane_base",type=vindicator] if score out destruction matches 39 as @e[name="Hurricane_base",type=vindicator] at @s positioned ^25 ^15 ^-15 run function atmospheric:weather/blocks
execute unless score dostormgriefing gamerules matches 0 if entity @e[name="Hurricane_base",type=vindicator] if score out destruction matches 40 as @e[name="Hurricane_base",type=vindicator] at @s positioned ^-25 ^15 ^-20 run function atmospheric:weather/blocks
execute unless score dostormgriefing gamerules matches 0 if entity @e[name="Hurricane_base",type=vindicator] if score out destruction matches 41 as @e[name="Hurricane_base",type=vindicator] at @s positioned ^50 ^15 ^30 run function atmospheric:weather/blocks
execute unless score dostormgriefing gamerules matches 0 if entity @e[name="Hurricane_base",type=vindicator] if score out destruction matches 42 as @e[name="Hurricane_base",type=vindicator] at @s positioned ^-60 ^15 ^-30 run function atmospheric:weather/blocks
execute unless score dostormgriefing gamerules matches 0 if entity @e[name="Hurricane_base",type=vindicator] if score out destruction matches 43 as @e[name="Hurricane_base",type=vindicator] at @s positioned ^75 ^15 ^70 run function atmospheric:weather/blocks
execute unless score dostormgriefing gamerules matches 0 if entity @e[name="Hurricane_base",type=vindicator] if score out destruction matches 44 as @e[name="Hurricane_base",type=vindicator] at @s positioned ^-70 ^15 ^-60 run function atmospheric:weather/blocks
#hail storm
execute unless score dostormgriefing gamerules matches 0 if entity @e[name="Hailstorm",type=armor_stand] if score out destruction matches 90..93 as @e[name="Hailstorm",type=armor_stand] at @s positioned ^18 ^ ^ run function atmospheric:weather/hailstone
execute unless score dostormgriefing gamerules matches 0 if entity @e[name="Hailstorm",type=armor_stand] if score out destruction matches 15..17 as @e[name="Hailstorm",type=armor_stand] at @s positioned ^15 ^ ^-17 run function atmospheric:weather/hailstone
execute unless score dostormgriefing gamerules matches 0 if entity @e[name="Hailstorm",type=armor_stand] if score out destruction matches 53..55 as @e[name="Hailstorm",type=armor_stand] at @s positioned ^10 ^ ^12 run function atmospheric:weather/hailstone
execute unless score dostormgriefing gamerules matches 0 if entity @e[name="Hailstorm",type=armor_stand] if score out destruction matches 10..11 as @e[name="Hailstorm",type=armor_stand] at @s positioned ^-19 ^ ^ run function atmospheric:weather/hailstone
execute unless score dostormgriefing gamerules matches 0 if entity @e[name="Hailstorm",type=armor_stand] if score out destruction matches 34..81 as @e[name="Hailstorm",type=armor_stand] at @s positioned ^8 ^ ^8 run function atmospheric:weather/hailstone
execute unless score dostormgriefing gamerules matches 0 if entity @e[name="Hailstorm",type=armor_stand] if score out destruction matches 44..50 as @e[name="Hailstorm",type=armor_stand] at @s positioned ^-13 ^ ^ run function atmospheric:weather/hailstone
execute unless score dostormgriefing gamerules matches 0 if entity @e[name="Hailstorm",type=armor_stand] if score out destruction matches 50..56 as @e[name="Hailstorm",type=armor_stand] at @s positioned ^ ^ ^17 run function atmospheric:weather/hailstone
execute unless score dostormgriefing gamerules matches 0 if entity @e[name="Hailstorm",type=armor_stand] if score out destruction matches 65..72 as @e[name="Hailstorm",type=armor_stand] at @s positioned ^20 ^ ^2 run function atmospheric:weather/hailstone
execute unless score dostormgriefing gamerules matches 0 if entity @e[name="Hailstorm",type=armor_stand] if score out destruction matches 69..82 as @e[name="Hailstorm",type=armor_stand] at @s positioned ^2 ^ ^-12 run function atmospheric:weather/hailstone
execute unless score dostormgriefing gamerules matches 0 if entity @e[name="Hailstorm",type=armor_stand] if score out destruction matches 14..21 as @e[name="Hailstorm",type=armor_stand] at @s positioned ^12 ^ ^2 run function atmospheric:weather/hailstone
execute unless score dostormgriefing gamerules matches 0 if entity @e[name="Hailstorm",type=armor_stand] if score out destruction matches 13..14 as @e[name="Hailstorm",type=armor_stand] at @s positioned ^-12 ^ ^19 run function atmospheric:weather/hailstone
execute unless score dostormgriefing gamerules matches 0 if entity @e[name="Hailstorm",type=armor_stand] if score out destruction matches 3..5 as @e[name="Hailstorm",type=armor_stand] at @s positioned ^9 ^ ^8 run function atmospheric:weather/hailstone
execute unless score dostormgriefing gamerules matches 0 if entity @e[name="Hailstorm",type=armor_stand] if score out destruction matches 9..15 as @e[name="Hailstorm",type=armor_stand] at @s positioned ^-7 ^ ^ run function atmospheric:weather/hailstone
execute unless score dostormgriefing gamerules matches 0 if entity @e[name="Hailstorm",type=armor_stand] if score out destruction matches 1..3 as @e[name="Hailstorm",type=armor_stand] at @s positioned ^ ^ ^6 run function atmospheric:weather/hailstone
execute unless score dostormgriefing gamerules matches 0 if entity @e[name="Hailstorm",type=armor_stand] if score out destruction matches 89..93 as @e[name="Hailstorm",type=armor_stand] at @s positioned ^11 ^ ^ run function atmospheric:weather/hailstone
execute unless score dostormgriefing gamerules matches 0 if entity @e[name="Hailstorm",type=armor_stand] if score out destruction matches 20..30 as @e[name="Hailstorm",type=armor_stand] at @s positioned ^17 ^ ^-10 run function atmospheric:weather/hailstone
execute unless score dostormgriefing gamerules matches 0 if entity @e[name="Hailstorm",type=armor_stand] if score out destruction matches 56..58 as @e[name="Hailstorm",type=armor_stand] at @s positioned ^11 ^ ^11 run function atmospheric:weather/hailstone
execute unless score dostormgriefing gamerules matches 0 if entity @e[name="Hailstorm",type=armor_stand] if score out destruction matches 27..29 as @e[name="Hailstorm",type=armor_stand] at @s positioned ^-13 ^ ^ run function atmospheric:weather/hailstone
execute unless score dostormgriefing gamerules matches 0 if entity @e[name="Hailstorm",type=armor_stand] if score out destruction matches 12..13 as @e[name="Hailstorm",type=armor_stand] at @s positioned ^16 ^ ^16 run function atmospheric:weather/hailstone
execute unless score dostormgriefing gamerules matches 0 if entity @e[name="Hailstorm",type=armor_stand] if score out destruction matches 15..16 as @e[name="Hailstorm",type=armor_stand] at @s positioned ^-5 ^ ^ run function atmospheric:weather/hailstone
execute unless score dostormgriefing gamerules matches 0 if entity @e[name="Hailstorm",type=armor_stand] if score out destruction matches 93..96 as @e[name="Hailstorm",type=armor_stand] at @s positioned ^ ^ ^14 run function atmospheric:weather/hailstone
#lightning Storm
execute if entity @e[name="Lightningstorm",type=armor_stand] if score out destruction matches 35..50 as @e[name="Lightningstorm",type=armor_stand] at @s positioned ^12 ^-32 ^ run summon lightning_bolt ~ ~-1 ~
execute if entity @e[name="Lightningstorm",type=armor_stand] if score out destruction matches 41..43 as @e[name="Lightningstorm",type=armor_stand] at @s positioned ^-12 ^-32 ^ run summon lightning_bolt ~ ~-1 ~
execute if entity @e[name="Lightningstorm",type=armor_stand] if score out destruction matches 47 as @e[name="Lightningstorm",type=armor_stand] at @s positioned ^ ^-32 ^12 run summon lightning_bolt ~ ~-1 ~
execute if entity @e[name="Lightningstorm",type=armor_stand] if score out destruction matches 48..49 as @e[name="Lightningstorm",type=armor_stand] at @s positioned ^ ^-32 ^-12 run summon lightning_bolt ~ ~-1 ~
execute if entity @e[name="Lightningstorm",type=armor_stand] if score out destruction matches 49 as @e[name="Lightningstorm",type=armor_stand] at @s positioned ^11 ^-32 ^ run summon lightning_bolt ~ ~-1 ~
execute if entity @e[name="Lightningstorm",type=armor_stand] if score out destruction matches 50 as @e[name="Lightningstorm",type=armor_stand] at @s positioned ^-11 ^-32 ^ run summon lightning_bolt ~ ~-1 ~
execute if entity @e[name="Lightningstorm",type=armor_stand] if score out destruction matches 51..53 as @e[name="Lightningstorm",type=armor_stand] at @s positioned ^ ^-32 ^11 run summon lightning_bolt ~ ~-1 ~
execute if entity @e[name="Lightningstorm",type=armor_stand] if score out destruction matches 52 as @e[name="Lightningstorm",type=armor_stand] at @s positioned ^ ^-32 ^-11 run summon lightning_bolt ~ ~-1 ~
execute if entity @e[name="Lightningstorm",type=armor_stand] if score out destruction matches 53 as @e[name="Lightningstorm",type=armor_stand] at @s positioned ^10 ^-32 ^ run summon lightning_bolt ~ ~-1 ~
execute if entity @e[name="Lightningstorm",type=armor_stand] if score out destruction matches 54 as @e[name="Lightningstorm",type=armor_stand] at @s positioned ^-10 ^-32 ^ run summon lightning_bolt ~ ~-1 ~
execute if entity @e[name="Lightningstorm",type=armor_stand] if score out destruction matches 55 as @e[name="Lightningstorm",type=armor_stand] at @s positioned ^ ^-32 ^10 run summon lightning_bolt ~ ~-1 ~
execute if entity @e[name="Lightningstorm",type=armor_stand] if score out destruction matches 56 as @e[name="Lightningstorm",type=armor_stand] at @s positioned ^ ^-32 ^-10 run summon lightning_bolt ~ ~-1 ~
execute if entity @e[name="Lightningstorm",type=armor_stand] if score out destruction matches 57..58 as @e[name="Lightningstorm",type=armor_stand] at @s positioned ^9 ^-32 ^ run summon lightning_bolt ~ ~-1 ~
execute if entity @e[name="Lightningstorm",type=armor_stand] if score out destruction matches 58 as @e[name="Lightningstorm",type=armor_stand] at @s positioned ^-9 ^-32 ^ run summon lightning_bolt ~ ~-1 ~
execute if entity @e[name="Lightningstorm",type=armor_stand] if score out destruction matches 59 as @e[name="Lightningstorm",type=armor_stand] at @s positioned ^ ^-32 ^9 run summon lightning_bolt ~ ~-1 ~
execute if entity @e[name="Lightningstorm",type=armor_stand] if score out destruction matches 60 as @e[name="Lightningstorm",type=armor_stand] at @s positioned ^ ^-32 ^-9 run summon lightning_bolt ~ ~-1 ~
execute if entity @e[name="Lightningstorm",type=armor_stand] if score out destruction matches 61 as @e[name="Lightningstorm",type=armor_stand] at @s positioned ^8 ^-32 ^ run summon lightning_bolt ~ ~-1 ~
execute if entity @e[name="Lightningstorm",type=armor_stand] if score out destruction matches 62 as @e[name="Lightningstorm",type=armor_stand] at @s positioned ^-8 ^-32 ^ run summon lightning_bolt ~ ~-1 ~
execute if entity @e[name="Lightningstorm",type=armor_stand] if score out destruction matches 63 as @e[name="Lightningstorm",type=armor_stand] at @s positioned ^ ^-32 ^8 run summon lightning_bolt ~ ~-1 ~
execute if entity @e[name="Lightningstorm",type=armor_stand] if score out destruction matches 64 as @e[name="Lightningstorm",type=armor_stand] at @s positioned ^ ^-32 ^-8 run summon lightning_bolt ~ ~-1 ~
#snow storm
execute if entity @e[name="Snowstorm_base",type=cow] if score out destruction matches 65 as @e[name="Snowstorm_base",type=cow] at @s positioned ^3 ^-32 ^-5 run summon falling_block ~ ~6 ~ {BlockState:{Name:snow}}
execute if entity @e[name="Snowstorm_base",type=cow] if score out destruction matches 66 as @e[name="Snowstorm_base",type=cow] at @s positioned ^7 ^-32 ^5 run summon falling_block ~ ~6 ~ {BlockState:{Name:snow}}
execute if entity @e[name="Snowstorm_base",type=cow] if score out destruction matches 67 as @e[name="Snowstorm_base",type=cow] at @s positioned ^9 ^-32 ^-3 run summon falling_block ~ ~6 ~ {BlockState:{Name:snow}}
execute if entity @e[name="Snowstorm_base",type=cow] if score out destruction matches 68 as @e[name="Snowstorm_base",type=cow] at @s positioned ^4 ^-32 ^7 run summon falling_block ~ ~6 ~ {BlockState:{Name:snow}}
execute if entity @e[name="Snowstorm_base",type=cow] if score out destruction matches 69 as @e[name="Snowstorm_base",type=cow] at @s positioned ^11 ^-32 ^-12 run summon falling_block ~ ~6 ~ {BlockState:{Name:snow}}
execute if entity @e[name="Snowstorm_base",type=cow] if score out destruction matches 70 as @e[name="Snowstorm_base",type=cow] at @s positioned ^-10 ^-32 ^11 run summon falling_block ~ ~6 ~ {BlockState:{Name:snow}}
execute if entity @e[name="Snowstorm_base",type=cow] if score out destruction matches 71 as @e[name="Snowstorm_base",type=cow] at @s positioned ^9 ^-32 ^-9 run summon falling_block ~ ~6 ~ {BlockState:{Name:snow}}
execute if entity @e[name="Snowstorm_base",type=cow] if score out destruction matches 72 as @e[name="Snowstorm_base",type=cow] at @s positioned ^2 ^-32 ^1 run summon falling_block ~ ~6 ~ {BlockState:{Name:snow}}
#blizzard
execute if entity @e[name="Blizzard_base",type=vindicator] if score out destruction matches 73 as @e[name="Blizzard_base",type=vindicator] at @s positioned ^13 ^ ^-15 run summon falling_block ~ ~6 ~ {BlockState:{Name:snow}}
execute if entity @e[name="Blizzard_base",type=vindicator] if score out destruction matches 73 as @e[name="Blizzard_base",type=vindicator] at @s positioned ^ ^ ^ run summon falling_block ~ ~6 ~ {BlockState:{Name:snow}}
execute if entity @e[name="Blizzard_base",type=vindicator] if score out destruction matches 74 as @e[name="Blizzard_base",type=vindicator] at @s positioned ^7 ^ ^15 run summon falling_block ~ ~6 ~ {BlockState:{Name:snow}}
execute if entity @e[name="Blizzard_base",type=vindicator] if score out destruction matches 75 as @e[name="Blizzard_base",type=vindicator] at @s positioned ^19 ^ ^-3 run summon falling_block ~ ~6 ~ {BlockState:{Name:snow}}
execute if entity @e[name="Blizzard_base",type=vindicator] if score out destruction matches 75 as @e[name="Blizzard_base",type=vindicator] at @s positioned ^1 ^ ^1 run summon falling_block ~ ~6 ~ {BlockState:{Name:snow}}
execute if entity @e[name="Blizzard_base",type=vindicator] if score out destruction matches 76 as @e[name="Blizzard_base",type=vindicator] at @s positioned ^4 ^ ^7 run summon falling_block ~ ~6 ~ {BlockState:{Name:snow}}
execute if entity @e[name="Blizzard_base",type=vindicator] if score out destruction matches 77 as @e[name="Blizzard_base",type=vindicator] at @s positioned ^21 ^ ^-22 run summon falling_block ~ ~6 ~ {BlockState:{Name:snow}}
execute if entity @e[name="Blizzard_base",type=vindicator] if score out destruction matches 78 as @e[name="Blizzard_base",type=vindicator] at @s positioned ^-10 ^ ^20 run summon falling_block ~ ~6 ~ {BlockState:{Name:snow}}
execute if entity @e[name="Blizzard_base",type=vindicator] if score out destruction matches 79 as @e[name="Blizzard_base",type=vindicator] at @s positioned ^25 ^ ^-19 run summon falling_block ~ ~6 ~ {BlockState:{Name:snow}}
execute if entity @e[name="Blizzard_base",type=vindicator] if score out destruction matches 80 as @e[name="Blizzard_base",type=vindicator] at @s positioned ^21 ^ ^11 run summon falling_block ~ ~6 ~ {BlockState:{Name:snow}}
execute if entity @e[name="Blizzard_base",type=vindicator] if score out destruction matches 81 as @e[name="Blizzard_base",type=vindicator] at @s positioned ^-2 ^ ^1 run summon falling_block ~ ~6 ~ {BlockState:{Name:powder_snow}}
execute if entity @e[name="Blizzard_base",type=vindicator] if score out destruction matches 82 as @e[name="Blizzard_base",type=vindicator] at @s positioned ^21 ^ ^-11 run summon falling_block ~ ~6 ~ {BlockState:{Name:powder_snow}}
execute if entity @e[name="Blizzard_base",type=vindicator] if score out destruction matches 83 as @e[name="Blizzard_base",type=vindicator] at @s positioned ^-21 ^ ^-11 run summon falling_block ~ ~6 ~ {BlockState:{Name:powder_snow}}
execute if entity @e[name="Blizzard_base",type=vindicator] if score out destruction matches 84 as @e[name="Blizzard_base",type=vindicator] at @s positioned ^-11 ^ ^-13 run summon falling_block ~ ~6 ~ {BlockState:{Name:powder_snow}}
execute if entity @e[name="Blizzard_base",type=vindicator] if score out destruction matches 85 as @e[name="Blizzard_base",type=vindicator] at @s positioned ^21 ^ ^1 run summon falling_block ~ ~6 ~ {BlockState:{Name:powder_snow}}
execute if entity @e[name="Blizzard_base",type=vindicator] if score out destruction matches 86 as @e[name="Blizzard_base",type=vindicator] at @s positioned ^2 ^ ^-11 run summon falling_block ~ ~6 ~ {BlockState:{Name:powder_snow}}
execute if entity @e[name="Blizzard_base",type=vindicator] if score out destruction matches 87 as @e[name="Blizzard_base",type=vindicator] at @s positioned ^-21 ^ ^11 run summon falling_block ~ ~6 ~ {BlockState:{Name:powder_snow}}
execute if entity @e[name="Blizzard_base",type=vindicator] if score out destruction matches 88 as @e[name="Blizzard_base",type=vindicator] at @s positioned ^21 ^ ^-11 run summon falling_block ~ ~6 ~ {BlockState:{Name:powder_snow}}
execute if entity @e[name="Blizzard_base",type=vindicator] if score out destruction matches 89 as @e[name="Blizzard_base",type=vindicator] at @s positioned ^-21 ^ ^-11 run summon falling_block ~ ~6 ~ {BlockState:{Name:powder_snow}}
execute if entity @e[name="Blizzard_base",type=vindicator] if score out destruction matches 90 as @e[name="Blizzard_base",type=vindicator] at @s positioned ^ ^ ^ run summon falling_block ~ ~6 ~ {BlockState:{Name:powder_snow}}
execute if entity @e[name="Blizzard",type=armor_stand] if score out destruction matches 91 as @e[name="Blizzard",type=armor_stand] at @s positioned ^12 ^-32 ^ run summon lightning_bolt ~ ~-1 ~
execute if entity @e[name="Blizzard",type=armor_stand] if score out destruction matches 92..93 as @e[name="Blizzard",type=armor_stand] at @s positioned ^-12 ^-32 ^ run summon lightning_bolt ~ ~-1 ~
execute if entity @e[name="Blizzard",type=armor_stand] if score out destruction matches 93 as @e[name="Blizzard",type=armor_stand] at @s positioned ^ ^-32 ^12 run summon lightning_bolt ~ ~-1 ~
#Emberstorm
execute if entity @e[name="Emberstorm",type=armor_stand] if score out destruction matches 94 as @e[name="Emberstorm",type=armor_stand] at @s positioned ^13 ^ ^-15 run summon falling_block ~ ~6 ~ {BlockState:{Name:fire}}
execute if entity @e[name="Emberstorm",type=armor_stand] if score out destruction matches 95..97 as @e[name="Emberstorm",type=armor_stand] at @s positioned ^ ^ ^ run summon falling_block ~ ~6 ~ {BlockState:{Name:fire}}
execute if entity @e[name="Emberstorm",type=armor_stand] if score out destruction matches 96 as @e[name="Emberstorm",type=armor_stand] at @s positioned ^7 ^ ^15 run summon falling_block ~ ~6 ~ {BlockState:{Name:fire}}
execute if entity @e[name="Emberstorm",type=armor_stand] if score out destruction matches 97 as @e[name="Emberstorm",type=armor_stand] at @s positioned ^19 ^ ^-3 run summon falling_block ~ ~6 ~ {BlockState:{Name:fire}}
execute if entity @e[name="Emberstorm",type=armor_stand] if score out destruction matches 98 as @e[name="Emberstorm",type=armor_stand] at @s positioned ^1 ^ ^1 run summon falling_block ~ ~6 ~ {BlockState:{Name:fire}}
execute if entity @e[name="Emberstorm",type=armor_stand] if score out destruction matches 99..101 as @e[name="Emberstorm",type=armor_stand] at @s positioned ^4 ^ ^7 run summon falling_block ~ ~6 ~ {BlockState:{Name:fire}}
execute if entity @e[name="Emberstorm",type=armor_stand] if score out destruction matches 100 as @e[name="Emberstorm",type=armor_stand] at @s positioned ^21 ^ ^-22 run summon falling_block ~ ~6 ~ {BlockState:{Name:fire}}
execute if entity @e[name="Emberstorm",type=armor_stand] if score out destruction matches 101 as @e[name="Emberstorm",type=armor_stand] at @s positioned ^-10 ^ ^20 run summon falling_block ~ ~6 ~ {BlockState:{Name:fire}}
execute if entity @e[name="Emberstorm",type=armor_stand] if score out destruction matches 102 as @e[name="Emberstorm",type=armor_stand] at @s positioned ^25 ^ ^-19 run summon falling_block ~ ~6 ~ {BlockState:{Name:fire}}
execute if entity @e[name="Emberstorm",type=armor_stand] if score out destruction matches 103 as @e[name="Emberstorm",type=armor_stand] at @s positioned ^21 ^ ^11 run summon falling_block ~ ~6 ~ {BlockState:{Name:fire}}
execute if entity @e[name="Emberstorm",type=armor_stand] if score out destruction matches 104 as @e[name="Emberstorm",type=armor_stand] at @s positioned ^-2 ^ ^1 run summon falling_block ~ ~6 ~ {BlockState:{Name:fire}}
execute if entity @e[name="Emberstorm",type=armor_stand] if score out destruction matches 105..106 as @e[name="Emberstorm",type=armor_stand] at @s positioned ^21 ^ ^-11 run summon falling_block ~ ~6 ~ {BlockState:{Name:fire}}
execute if entity @e[name="Emberstorm",type=armor_stand] if score out destruction matches 106 as @e[name="Emberstorm",type=armor_stand] at @s positioned ^-21 ^ ^-11 run summon falling_block ~ ~6 ~ {BlockState:{Name:fire}}
execute if entity @e[name="Emberstorm",type=armor_stand] if score out destruction matches 107 as @e[name="Emberstorm",type=armor_stand] at @s positioned ^-11 ^ ^-13 run summon falling_block ~ ~6 ~ {BlockState:{Name:fire}}
execute if entity @e[name="Emberstorm",type=armor_stand] if score out destruction matches 108 as @e[name="Emberstorm",type=armor_stand] at @s positioned ^21 ^ ^1 run summon falling_block ~ ~6 ~ {BlockState:{Name:fire}}
execute if entity @e[name="Emberstorm",type=armor_stand] if score out destruction matches 109 as @e[name="Emberstorm",type=armor_stand] at @s positioned ^2 ^ ^-11 run summon falling_block ~ ~6 ~ {BlockState:{Name:fire}}
execute if entity @e[name="Emberstorm",type=armor_stand] if score out destruction matches 110..112 as @e[name="Emberstorm",type=armor_stand] at @s positioned ^-21 ^ ^11 run summon falling_block ~ ~6 ~ {BlockState:{Name:fire}}
execute if entity @e[name="Emberstorm",type=armor_stand] if score out destruction matches 111 as @e[name="Emberstorm",type=armor_stand] at @s positioned ^21 ^ ^-11 run summon falling_block ~ ~6 ~ {BlockState:{Name:fire}}
execute if entity @e[name="Emberstorm",type=armor_stand] if score out destruction matches 112 as @e[name="Emberstorm",type=armor_stand] at @s positioned ^-21 ^ ^-11 run summon falling_block ~ ~6 ~ {BlockState:{Name:fire}}
execute if entity @e[name="Emberstorm",type=armor_stand] if score out destruction matches 113 as @e[name="Emberstorm",type=armor_stand] at @s positioned ^ ^ ^ run summon falling_block ~ ~6 ~ {BlockState:{Name:fire}}
#Endstorm
execute if entity @e[name="Endstorm",type=armor_stand] if score out destruction matches 1..15 as @e[name="Endstorm",type=armor_stand] at @s positioned ^5 ^-32 ^5 run function atmospheric:weather/endstormtp
execute if entity @e[name="Endstorm",type=armor_stand] if score out destruction matches 22..37 as @e[name="Endstorm",type=armor_stand] at @s positioned ^-5 ^-32 ^5 run function atmospheric:weather/endstormtp
execute if entity @e[name="Endstorm",type=armor_stand] if score out destruction matches 33..48 as @e[name="Endstorm",type=armor_stand] at @s positioned ^-5 ^-32 ^-5 run function atmospheric:weather/endstormtp
execute if entity @e[name="Endstorm",type=armor_stand] if score out destruction matches 44..59 as @e[name="Endstorm",type=armor_stand] at @s positioned ^-15 ^-32 ^5 run function atmospheric:weather/endstormtp
execute if entity @e[name="Endstorm",type=armor_stand] if score out destruction matches 55..60 as @e[name="Endstorm",type=armor_stand] at @s positioned ^-15 ^-32 ^-9 run function atmospheric:weather/endstormtp
execute if entity @e[name="Endstorm",type=armor_stand] if score out destruction matches 66..71 as @e[name="Endstorm",type=armor_stand] at @s positioned ^5 ^-32 ^-15 run function atmospheric:weather/endstormtp
execute if entity @e[name="Endstorm",type=armor_stand] if score out destruction matches 77..82 as @e[name="Endstorm",type=armor_stand] at @s positioned ^9 ^-32 ^-10 run function atmospheric:weather/endstormtp
execute if entity @e[name="Endstorm",type=armor_stand] if score out destruction matches 88..93 as @e[name="Endstorm",type=armor_stand] at @s positioned ^8 ^-32 ^-9 run function atmospheric:weather/endstormtp
execute if entity @e[name="Endstorm",type=armor_stand] if score out destruction matches 99..104 as @e[name="Endstorm",type=armor_stand] at @s positioned ^5 ^-32 ^-15 run function atmospheric:weather/endstormtp
execute if entity @e[name="Endstorm",type=armor_stand] if score out destruction matches 110..121 as @e[name="Endstorm",type=armor_stand] at @s positioned ^ ^-32 ^11 run function atmospheric:weather/endstormtp
execute if entity @e[name="Endstorm",type=armor_stand] if score out destruction matches 119 as @e[name="Endstorm",type=armor_stand] at @s positioned ^ ^-32 ^15 run function atmospheric:weather/endstormtp
execute if entity @e[name="Endstorm",type=armor_stand] if score out destruction matches 120 as @e[name="Endstorm",type=armor_stand] at @s positioned ^12 ^-32 ^ run function atmospheric:weather/endstormtp
execute if entity @e[name="Endstorm",type=armor_stand] if score out destruction matches 120 as @e[name="Endstorm",type=armor_stand] at @s positioned ^15 ^-32 ^ run function atmospheric:weather/endstormtp
execute if entity @e[name="Endstorm",type=armor_stand] if score out destruction matches 121 as @e[name="Endstorm",type=armor_stand] at @s positioned ^ ^-32 ^5 run function atmospheric:weather/endstormtp
execute if entity @e[name="Endstorm",type=armor_stand] if score out destruction matches 121 as @e[name="Endstorm",type=armor_stand] at @s positioned ^ ^-32 ^ run function atmospheric:weather/endstormtp